Summary:        Find your home and other directories on any platform
Name:           perl-File-HomeDir
Version:        1.006
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-HomeDir
Source0:        https://cpan.metacpan.org/authors/id/R/RE/REHSACK/File-HomeDir-%{version}.tar.gz
BuildArch:      noarch
# build
BuildRequires:  coreutils, make, perl-generators, perl-interpreter, perl(:VERSION) >= 5.5.3, perl(Config), perl(ExtUtils::MakeMaker) >= 6.76, perl(strict), perl(warnings)
# Run-time:
BuildRequires:  perl(base), perl(Carp), perl(Cwd) >= 3.12, perl(Exporter), perl(File::Path) >= 2.01
BuildRequires:  perl(File::Spec) >= 3.12, perl(File::Temp) >= 0.19, perl(File::Which) >= 0.05, perl(vars)
# Tests:
BuildRequires:  perl(File::Spec::Functions), perl(Test::More) >= 0.90
Requires:       perl(Cwd) >= 3.12
Requires:       perl(File::Path) >= 2.01
Requires:       perl(File::Spec) >= 3.12
Requires:       perl(File::Temp) >= 0.19
Requires:       perl(File::Which) >= 0.05

%global __requires_exclude perl\\(Cwd\\)|perl\\(File::Path\\)|perl\\(File::Spec\\)|perl\\(File::Temp\\)|perl\\(File::Which\\)|perl\\(Mac::|perl\\(Win32

%description
File::HomeDir is a module for locating the directories that are "owned" by a
user (typically your user) and to solve the various issues that arise trying to
find them consistently across a wide variety of platforms.

The end result is a single API that can find your resources on any platform, 
making it relatively trivial to create Perl software that works elegantly and
correctly no matter where you run it.



%prep
%autosetup -n File-HomeDir-%{version}



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make -j$(nproc)



%install
make install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}



%check
make test



%files
%license LICENSE
%doc Changes README.md
%{perl_vendorlib}/File/
%{_mandir}/man3/*



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.006-7
- Rebuilt for loongarch release

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.006-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.006-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.006-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.006-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.006-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 10 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.006-1
- Initial building.
